
seed_conc = 40e-12;
num_tubes = 1000;
% Times are in hours
% all_times = [5,2,10,25];
all_times = [25];
% delta_H = [-102.9,-102.4,-102.15,-101.9,-101.4];
 delta_H = [-102.15,-101.9,-101.4];
 
for i=1:size(all_times,2)
  for j=1:size(delta_H,2)
    highest_row_complete = grow_nucleated_tube_distribution(all_times(i), ...
						  seed_conc,num_tubes,...
						  delta_H(j));
    graph_name = ['seeded_hist_' num2str(all_times(i)) '_' ...
		 num2str(delta_H(j)) '.pdf']

  figure(2)
  long_enough_tubes = find(highest_row_complete*14.3/1000 > 0.5);
  hist(highest_row_complete(long_enough_tubes)*14.3/1000,0.5:0.5: ...
       15)
  axis([0 15 0 num_tubes]);
  %if num_tubes > 0
  %  hist(highest_row_complete(1:num_tubes)*14.3/156,0:1:140)    
  %end
  %title(['Seeded nanotube length dist. after ' num2str(time/3600) ' hours'],...
  %	  'FontSize',20);
  % xlabel('Length (pixels)','FontSize',18);
  % ylabel('Number of tubes','FontSize',18);
  %set(gca,'FontSize',18);
    a=findobj(gcf);
  
  allaxes=findall(a,'Type','axes');
  alllines=findall(a,'Type','line');
  alltext=findall(a,'Type','text');
  allbars=findall(a,'Type','patch');

  set(allbars,'Facecolor','black','EdgeColor','w')

  set(allaxes,'FontName','Arial','FontWeight','normal','LineWidth',6,...
    'FontSize',40);
  set(alllines,'Linewidth',5);
  set(alltext,'FontName','Arial','FontWeight','normal','FontSize',35);
  print (gcf,'-dpdf',graph_name)
  row_name  = ['seeded_row_dist_' num2str(all_times(i)) '_' ...
	       num2str(delta_H(j)) ...
	       '.mat']
  save (row_name,...
	'highest_row_complete');
  end
end

